%define desktop_file 1
%define desktop_file_utils_version 0.2.93

%define _unpackaged_files_terminate_build 0
%define toolkit_options --enable-default-toolkit=gtk2 --disable-freetype2 --enable-xft
%define builddir %{_builddir}/mozilla
%define mozdir %{_libdir}/mozilla-%{version}

%define branchpoint 1.1
%define branchver   3

Name:        mozilla
Summary:     Web browser and mail reader
Version:     1.7.12
Release:     %{branchpoint}.%{branchver}.4.XOS.1
Epoch:       37
License:     MPL/NPL/GPL/LGPL
Source0:     mozilla-%{version}-source.tar.bz2
Source1:     mozilla.sh.in
Source2:     mozilla-icon.png
Source4:     mozilla.desktop
Source7:     mozilla-make-package.pl
Source9:     mozicon16.xpm
Source10:    mozicon50.xpm
Source11:    mozilla-rebuild-databases.pl.in
Source12:    mozilla-mail.desktop
Source13:    mozilla-mail-icon.png
Source17:    mozilla-psm-exclude-list
Source18:    mozilla-xpcom-exclude-list
Source19:    mozilla-redhat-default-bookmarks.html
Source20:    mozilla-redhat-default-prefs.js
Source39:    mozilla-xos-default-bookmarks.html
Source40:    mozilla-xos-default-prefs.js
Patch0:      mozilla-navigator-overlay-menu.patch
Patch1:      mozilla-editor-overlay-menu.patch
Patch6:      mozilla-prefs-debug.patch
Patch7:      mozilla-redhat-home-page.patch
Patch12:     mozilla-1.7-psfonts.patch
Patch13:     mozilla-nspr-packages.patch
Patch14:     mozilla-default-plugin-less-annoying.patch
Patch17:     mozilla-buildid-title.patch
Patch23:     mozilla-1.6-gnome-uriloader.patch

Patch28:     mozilla-1.4.1-ppc64.patch
Patch29:     mozilla-1.4-prdtoa.patch

Patch30:     mozilla-1.6-frameload.patch
Patch34:     mozilla-1.7.3-freetype-compile.patch

Patch91:     firefox-1.0-xslt-parameter.patch

Patch100:    mozilla-1.7.3-pkgconfig.patch
Patch101:    mozilla-1.7.3-gnome-vfs-default-app.patch
Patch102:    mozilla-1.7.3-stack-direction.patch
Patch103:    mozilla-1.7.7-manpage.patch

Patch110:    mozilla-1.7.12-CVE-2005-4134-long-history-dos.patch
Patch111:    mozilla-1.7.12-CVE-2006-0292-javascript-unrooted.patch 
Patch112:    mozilla-1.7.12-CVE-2006-0296-XULDocument.persist.patch

Buildroot:   %{_tmppath}/%{name}-root
Prefix:      /usr
Group:       Applications/Internet
Provides:    webclient
BuildRequires:   libpng-devel, libjpeg-devel, zlib-devel, zip, perl, libIDL-devel, glib2-devel, gtk2-devel, autoconf213
BuildRequires:   krb5-devel
Prereq:      fileutils perl
Prereq:      /usr/bin/killall
Requires:    mozilla-nspr = %{epoch}:%{version}-%{release}
Requires:    mozilla-nss = %{epoch}:%{version}-%{release}
Obsoletes:   mozilla-psm
ExclusiveArch: i386 x86_64 ia64 ppc s390 s390x

%if %{desktop_file}
PreReq: desktop-file-utils >= %{desktop_file_utils_version}
%endif

%description
Mozilla is an open-source web browser, designed for standards
compliance, performance and portability.

%package nspr
Summary: Netscape Portable Runtime
Group: Applications/Internet
Conflicts: mozilla < 35:0.9.9

%description nspr
NSPR provides platform independence for non-GUI operating system
facilities. These facilities include threads, thread synchronization,
normal file and network I/O, interval timing and calendar time, basic
memory management (malloc and free) and shared library linking.

%package nspr-devel
Summary: Development Libraries for the Netscape Portable Runtime
Group: Development/Libraries
Requires: mozilla-nspr = %{epoch}:%{version}-%{release}

%description nspr-devel
Header files for doing development with the Netscape Portable Runtime.

%package nss
Summary: Network Security Services
Group: Applications/Internet
Requires: mozilla-nspr = %{epoch}:%{version}-%{release}

%description nss
Network Security Services (NSS) is a set of libraries designed to
support cross-platform development of security-enabled server
applications. Applications built with NSS can support SSL v2 and v3,
TLS, PKCS #5, PKCS #7, PKCS #11, PKCS #12, S/MIME, X.509 v3
certificates, and other security standards.

%package nss-devel
Summary: Development Libraries for Network Security Services
Group: Applications/Internet
Requires: mozilla-nspr-devel = %{epoch}:%{version}-%{release}
Requires: mozilla-nss = %{epoch}:%{version}-%{release}

%description nss-devel
Header files to doing development with Network Security Services.

%package devel
Summary: Development files for Mozilla
Group: Development/Libraries
Requires: mozilla = %{epoch}:%{version}-%{release}
Requires: mozilla-nspr-devel = %{epoch}:%{version}-%{release}
Requires: mozilla-nss-devel = %{epoch}:%{version}-%{release}

%description devel
Development header files for mozilla.

%package mail
Summary: Mozilla-based mail system
Group: Applications/Internet
Prereq:      fileutils mozilla = %{epoch}:%{version}-%{release}

%description mail
Mail/news client based on the Mozilla web browser.  The mail/news
client supports IMAP, POP, and NNTP and has an easy to use interface.

%package chat
Summary: IRC client integrated with Mozilla
Group: Applications/Internet
Prereq: fileutils mozilla = %{epoch}:%{version}-%{release}

%description chat
IRC client that is integrated with the Mozilla web browser.

%package js-debugger
Summary: JavaScript debugger for use with Mozilla
Group: Applications/Internet
Prereq: fileutils mozilla = %{epoch}:%{version}-%{release}

%description js-debugger
JavaScript debugger for use with Mozilla.

%package dom-inspector
Summary: A tool for inspecting the DOM of pages in Mozilla.
Group: Applications/Internet
Prereq: fileutils mozilla = %{epoch}:%{version}-%{release}

%description dom-inspector
This is a tool that allows you to inspect the DOM for web pages in
Mozilla.  This is of great use to people who are doing Mozilla chrome
development or web page development.

%define xoslinux %(test -f /etc/xos-release && echo 1 || echo 0)

%prep

%setup -q -n mozilla

#%patch0 -p1
#%patch0 -p1 -R

#%patch1 -p1
#%patch1 -p1 -R

#%patch6 -p1
#%patch6 -p1 -R
#%patch17 -p1
#%patch17 -p1 -R

%patch7 -p1
#%patch7 -p1 -R

# Can't hurt to leave this in since the defaults are empty.
%patch12 -p1

%patch13 -p1

# make the plugin dialog less annoying and disable redirection to the
# plugin downloader page.
%patch14 -p1

# remove the annoying buildid from the titlebar
#%patch17 -p1
#%patch17 -p1 -R

# make sure that the gnome uri handler isn't run during registration
%patch23 -p1 -b .gnome

# add nss build support for ppc64
%patch28 -p1

# work around problems with prdtoa.c
%patch29 -p1

#frame load patch
#http://bugzilla.mozilla.org/show_bug.cgi?id=195078
%patch30 -p1

# Remove when bug http://bugzilla.mozilla.org/show_bug.cgi?id=234035 is fixed
%patch34 -p1

%patch91 -p0

# Fix up our pkg-config options
%patch100 -p0

%patch101 -p1
%patch102 -p0
%patch103 -p0

%patch110 -p0
%patch111 -p0
%patch112 -p0


# set up our default bookmarks
%if %{xoslinux}
/bin/cp %{SOURCE39} $RPM_BUILD_DIR/mozilla/profile/defaults/bookmarks.html
%else
/bin/cp %{SOURCE19} $RPM_BUILD_DIR/mozilla/profile/defaults/bookmarks.html
%endif

%build
# Rebuild configure to ensure that any patches to configure.in get applied
/bin/rm -f ./configure
/usr/bin/autoconf-2.13

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

# build mozilla - XCFLAGS is for NSS which can't use CFLAGS for
# various reasons
%ifarch ia64
OPTFLAGS=-O0
%else
OPTFLAGS=-O2
%endif

XCFLAGS=-g \
CFLAGS=-g \
%ifarch ia64 ppc
CXXFLAGS="-fno-inline -g" \
%else
CXXFLAGS=-g \
%endif
BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 \
	./configure --prefix=%{_prefix} --libdir=%{_libdir} \
	--enable-optimize=$OPTFLAGS \
	--disable-debug \
	--with-default-mozilla-five-home=%{mozdir} \
	--disable-strip-libs \
	--disable-tests \
	--enable-xinerama \
	--enable-nspr-autoconf \
	--enable-extensions=default,irc \
	--without-mng \
	--enable-crypto \
	--disable-xprint \
	--without-system-nspr \
	--with-system-zlib \
	--with-system-png \
	--with-system-jpeg \
	%{toolkit_options} \
	--mandir=%{_mandir}


BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 make export
BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 make -j$CPUS libs

%install
/bin/rm -rf $RPM_BUILD_ROOT

BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 \
	DESTDIR=$RPM_BUILD_ROOT \
	make install

# create a list of all of the different package and the files that
# will hold them

/bin/rm -f %{builddir}/mozilla.list
/bin/rm -f %{builddir}/mozilla-mail.list
/bin/rm -f %{builddir}/mozilla-chat.list
/bin/rm -f %{builddir}/mozilla-js-debugger.list
/bin/rm -f %{builddir}/mozilla-dom-inspector.list

echo %defattr\(-,root,root\) > %{builddir}/mozilla.list
echo %defattr\(-,root,root\) > %{builddir}/mozilla-mail.list
echo %defattr\(-,root,root\) > %{builddir}/mozilla-chat.list
echo %defattr\(-,root,root\) > %{builddir}/mozilla-js-debugger.list
echo %defattr\(-,root,root\) > %{builddir}/mozilla-dom-inspector.list

# NSS and NSPR are both installed into /usr/lib instead of
# /usr/lib/mozilla-VERSION

pushd .
cd $RPM_BUILD_ROOT%{mozdir}
# move nspr
mv -v \
  libnspr4.so libplc4.so libplds4.so \
  $RPM_BUILD_ROOT%{_libdir}/

# move psm
mv -v \
  libnss3.so libsmime3.so libsoftokn3.so libsoftokn3.chk libssl3.so \
  $RPM_BUILD_ROOT%{_libdir}/

# libnssckbi.so must be in both places
cp -v libnssckbi.so $RPM_BUILD_ROOT%{_libdir}/
popd

# we don't want to ship mozilla's default sidebar components
rm -f $RPM_BUILD_ROOT/%{mozdir}/searchplugins/bugzilla.gif
rm -f $RPM_BUILD_ROOT/%{mozdir}/searchplugins/bugzilla.src
rm -f $RPM_BUILD_ROOT/%{mozdir}/searchplugins/dmoz.gif
rm -f $RPM_BUILD_ROOT/%{mozdir}/searchplugins/dmoz.src
rm -f $RPM_BUILD_ROOT/%{mozdir}/searchplugins/lxrmozilla.gif
rm -f $RPM_BUILD_ROOT/%{mozdir}/searchplugins/lxrmozilla.src
rm -f $RPM_BUILD_ROOT/%{mozdir}/searchplugins/mozilla.gif
rm -f $RPM_BUILD_ROOT/%{mozdir}/searchplugins/mozilla.src

/bin/rm -f %{builddir}/mozilla-nspr.list
%{SOURCE7} --package nspr --output-file %{builddir}/mozilla-nspr.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{_libdir} \
    --install-root %{_libdir}

/bin/rm -f %{builddir}/mozilla-nss.list
%{SOURCE7} --package nss --output-file %{builddir}/mozilla-nss.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{_libdir} \
    --install-root %{_libdir}

# manually add the libnssckbi.so file
echo %{mozdir}/libnssckbi.so >> %{builddir}/mozilla-nss.list

# build all of the default browser components
# base mozilla package (mozilla.list)
%{SOURCE7} --package langenus --output-file %{builddir}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{mozdir} \
    --install-root %{mozdir}

%{SOURCE7} --package regus --output-file %{builddir}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{mozdir} \
    --install-root %{mozdir}

%{SOURCE7} --package deflenus --output-file %{builddir}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{mozdir} \
    --install-root %{mozdir}

%{SOURCE7} --package xpcom --output-file %{builddir}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{mozdir} \
    --install-root %{mozdir} \
    --exclude-file=%{SOURCE18}

%{SOURCE7} --package browser --output-file %{builddir}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{mozdir} \
    --install-root %{mozdir}

%{SOURCE7} --package spellcheck --output-file %{builddir}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{mozdir} \
    --install-root %{mozdir}

%{SOURCE7} --package psm --output-file %{builddir}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{mozdir} \
    --install-root %{mozdir} \
    --exclude-file=%{SOURCE17}

# mozilla mail (mozilla-mail.list)
%{SOURCE7} --package mail --output-file %{builddir}/mozilla-mail.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{mozdir} \
    --install-root %{mozdir}

# mozilla chat (mozilla-chat.list)
%{SOURCE7} --package chatzilla --output-file %{builddir}/mozilla-chat.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{mozdir} \
    --install-root %{mozdir}

# mozilla JS debugger (mozilla-js-debugger.list)
%{SOURCE7} --package venkman --output-file %{builddir}/mozilla-js-debugger.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{mozdir} \
    --install-root %{mozdir}

# mozilla DOM inspector (mozilla-dom-inspector.list)
%{SOURCE7} --package inspector --output-file %{builddir}/mozilla-dom-inspector.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{mozdir} \
    --install-root %{mozdir}

# build our initial component and chrome registry


pushd `pwd`
  cd $RPM_BUILD_ROOT/%{mozdir}

  # save a copy of the default installed-chrome.txt file before we
  # muck with it
  mkdir chrome/lang
  cp chrome/installed-chrome.txt chrome/lang/

  # register our components
  LD_LIBRARY_PATH=`pwd`:`pwd`/.. MOZILLA_FIVE_HOME=`pwd` ./regxpcom

  # set up the default skin and locale to trigger the generation of
  # the user-locales and users-skins.rdf
  echo "skin,install,select,classic/1.0" >> chrome/installed-chrome.txt
  echo "locale,install,select,en-US" >> chrome/installed-chrome.txt

  # save the defaults in a file that will be used later to rebuild the
  # installed-chrome.txt file
  echo "skin,install,select,classic/1.0" >> chrome/lang/default.txt
  echo "locale,install,select,en-US" >> chrome/lang/default.txt

  # set up the chrome rdf files
  LD_LIBRARY_PATH=`pwd`:`pwd`/.. MOZILLA_FIVE_HOME=`pwd` MOZ_DISABLE_GNOME=1 ./regchrome

  # fix permissions of the chrome directories
  /usr/bin/find . -type d -perm 0700 -exec chmod 755 {} \; || :
popd

# cp -L (dereference all symlinks) is required for fileutils >= 2.0.27
# (POSIX compliance); prior versions don't understand -L, so fall back...

# copy the nss files to the right place
mkdir $RPM_BUILD_ROOT/%{prefix}/include/mozilla-%{version}/nss/

/usr/bin/find security/nss/lib/ -name '*.h' -type f -exec /bin/cp {} \
 $RPM_BUILD_ROOT/%{prefix}/include/mozilla-%{version}/nss/ \;

# build the list of include files
rm -f %{builddir}/mozilla-devel.list
rm -f %{builddir}/mozilla-nss-devel.list
rm -f %{builddir}/mozilla-nspr-devel.list

find $RPM_BUILD_ROOT/%{prefix}/include/mozilla-%{version}/ -type f | \
  sed -e "s,$RPM_BUILD_ROOT,," | \
  grep -v "/%{prefix}/include/mozilla-%{version}/nss" | \
  grep -v "/%{prefix}/include/mozilla-%{version}/nspr" > \
  %{builddir}/mozilla-devel.list

find $RPM_BUILD_ROOT/%{prefix}/include/mozilla-%{version}/ -type f | \
  sed -e "s,$RPM_BUILD_ROOT,," | \
  grep "/%{prefix}/include/mozilla-%{version}/nspr" > \
  %{builddir}/mozilla-nspr-devel.list

find $RPM_BUILD_ROOT/%{prefix}/include/mozilla-%{version}/ -type f| \
  sed -e "s,$RPM_BUILD_ROOT,," | \
  grep "/%{prefix}/include/mozilla-%{version}/nss" > \
  %{builddir}/mozilla-nss-devel.list

# copy our idl into place
#mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/idl/mozilla-%{version}
#(cd dist/idl ; tar chf - * | \
#  (cd $RPM_BUILD_ROOT/%{prefix}/share/idl/mozilla-%{version} ; \
#   tar xvf -))

# copy our devel tools
install -c -m 755 dist/bin/xpcshell \
  dist/bin/xpidl \
  dist/bin/xpt_dump \
  dist/bin/xpt_link \
  $RPM_BUILD_ROOT/%{mozdir}

# set up our desktop files
mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/pixmaps/

# install desktop files in correct directory
%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
desktop-file-install --vendor mozilla \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --add-category X-Fedora \
    --add-category Application \
    --add-category Network \
    %{SOURCE4}
desktop-file-install --vendor mozilla \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --add-category X-Fedora \
    --add-category Application \
    --add-category Network \
    %{SOURCE12}
%else
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Internet
install -c -m 644  %{SOURCE4} %{SOURCE12} \
   $RPM_BUILD_ROOT/etc/X11/applnk/Internet
%endif

install -c -m 644 %{SOURCE2} %{SOURCE13} \
  $RPM_BUILD_ROOT/%{prefix}/share/pixmaps/

if [ ! -d $RPM_BUILD_ROOT/%{mozdir}/icons/ ]; then
  mkdir -m 755 $RPM_BUILD_ROOT/%{mozdir}/icons
fi

if [ ! -d $RPM_BUILD_ROOT/%{mozdir}/plugins/ ]; then
  mkdir -m 755 $RPM_BUILD_ROOT/%{mozdir}/plugins
fi

# our icons are better!
install -c -m 644 %{SOURCE9} $RPM_BUILD_ROOT/%{mozdir}/icons/
install -c -m 644 %{SOURCE10} $RPM_BUILD_ROOT/%{mozdir}/icons/

# install our mozilla.sh file
cat %{SOURCE1} | sed -e 's/MOZILLA_VERSION/%{version}/g' \
		     -e 's,LIBDIR,%{_libdir},g' > \
  $RPM_BUILD_ROOT/usr/bin/mozilla

chmod 755 $RPM_BUILD_ROOT/usr/bin/mozilla

# set up our default preferences
%if %{xoslinux}
%{__cat} %{SOURCE40} | %{__sed} -e 's,MOZILLA_RPM_VR,%{version}-%{release},g' > \
        $RPM_BUILD_ROOT/rh-default-prefs
%{__cp} $RPM_BUILD_ROOT/rh-default-prefs $RPM_BUILD_ROOT/%{mozdir}/greprefs/all-xos.js
%{__cp} $RPM_BUILD_ROOT/rh-default-prefs $RPM_BUILD_ROOT/%{mozdir}/defaults/pref/all-xos.js
%else
%{__cat} %{SOURCE20} | %{__sed} -e 's,MOZILLA_RPM_VR,%{version}-%{release},g' > \
        $RPM_BUILD_ROOT/rh-default-prefs
%{__cp} $RPM_BUILD_ROOT/rh-default-prefs $RPM_BUILD_ROOT/%{mozdir}/greprefs/all-redhat.js
%{__cp} $RPM_BUILD_ROOT/rh-default-prefs $RPM_BUILD_ROOT/%{mozdir}/defaults/pref/all-redhat.js
%endif
%{__rm} $RPM_BUILD_ROOT/rh-default-prefs

# install our rebuild file
cat %{SOURCE11} | sed -e 's/MOZILLA_VERSION/%{version}/g' \
		      -e 's,LIBDIR,%{_libdir},g' > \
  $RPM_BUILD_ROOT/%{mozdir}/mozilla-rebuild-databases.pl

chmod 755 \
  $RPM_BUILD_ROOT/%{mozdir}/mozilla-rebuild-databases.pl

# we own /usr/lib/mozilla/plugins which is the version-independent
# place that plugins can be installed
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/mozilla/plugins

# ghost files
touch $RPM_BUILD_ROOT%{mozdir}/chrome/chrome.rdf
for overlay in {"browser","communicator","cookie","editor","global","inspector","messenger","navigator"}; do
   %{__mkdir_p} $RPM_BUILD_ROOT%{mozdir}/chrome/overlayinfo/$overlay/content
  touch $RPM_BUILD_ROOT%{mozdir}/chrome/overlayinfo/$overlay/content/overlays.rdf
done
for overlay in {"browser","global"}; do
   %{__mkdir_p} $RPM_BUILD_ROOT%{mozdir}/chrome/overlayinfo/$overlay/skin
  touch $RPM_BUILD_ROOT%{mozdir}/chrome/overlayinfo/$overlay/skin/stylesheets.rdf
done
touch $RPM_BUILD_ROOT%{mozdir}/chrome/chrome.rdf
%{__mkdir_p} $RPM_BUILD_ROOT%{mozdir}/components/myspell

# install the gre.conf file
%ifarch x86_64 ia64 ppc64 s390x
%define gre_conf_file gre64.conf
%else
%define gre_conf_file gre.conf
%endif

mkdir -p $RPM_BUILD_ROOT/etc/gre.d/
echo [%{version}] > \
  $RPM_BUILD_ROOT/etc/gre.d/%{gre_conf_file}
echo GRE_PATH=%{_libdir}/mozilla-%{version} >> \
  $RPM_BUILD_ROOT/etc/gre.d/%{gre_conf_file}

%clean
/bin/rm -rf $RPM_BUILD_ROOT

%post
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{mozdir}/mozilla-rebuild-databases.pl ]; then
    %{mozdir}/mozilla-rebuild-databases.pl
fi

%postun
/sbin/ldconfig >/dev/null 2>/dev/null
# was this an upgrade?
if [ "$1" == "2" ]; then
  if [ -f %{mozdir}/mozilla-rebuild-databases.pl ]; then
      %{mozdir}/mozilla-rebuild-databases.pl
  fi
fi

%triggerpostun -- mozilla < 1.0
# Older packages will leave mozilla unusable after the postun script
# script is run for the old package.  Rebuild the databases after that
# has been run.
if [ -f %{mozdir}/mozilla-rebuild-databases.pl ]; then
    %{mozdir}/mozilla-rebuild-databases.pl
fi

%preun
# is a final removal?
if [ "$1" == "0" ]; then
  /bin/rm -rf %{mozdir}/chrome/overlayinfo
  /bin/rm -f %{mozdir}/chrome/*.rdf
fi

%post nspr
/sbin/ldconfig >/dev/null 2>/dev/null

%postun nspr
/sbin/ldconfig >/dev/null 2>/dev/null

%post nss
/sbin/ldconfig >/dev/null 2>/dev/null

%postun nss
/sbin/ldconfig >/dev/null 2>/dev/null

%post mail
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{mozdir}/mozilla-rebuild-databases.pl ]; then
    %{mozdir}/mozilla-rebuild-databases.pl
fi

%postun mail

# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{mozdir}/mozilla-rebuild-databases.pl ]; then
    %{mozdir}/mozilla-rebuild-databases.pl
fi

%post chat
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{mozdir}/mozilla-rebuild-databases.pl ]; then
    %{mozdir}/mozilla-rebuild-databases.pl
fi

%postun chat
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{mozdir}/mozilla-rebuild-databases.pl ]; then
    %{mozdir}/mozilla-rebuild-databases.pl
fi

%post js-debugger
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{mozdir}/mozilla-rebuild-databases.pl ]; then
    %{mozdir}/mozilla-rebuild-databases.pl
fi

%postun js-debugger
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{mozdir}/mozilla-rebuild-databases.pl ]; then
    %{mozdir}/mozilla-rebuild-databases.pl
fi

%post dom-inspector
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{mozdir}/mozilla-rebuild-databases.pl ]; then
    %{mozdir}/mozilla-rebuild-databases.pl
fi

%postun dom-inspector
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{mozdir}/mozilla-rebuild-databases.pl ]; then
    %{mozdir}/mozilla-rebuild-databases.pl
fi

%files -f mozilla.list
%defattr(-,root,root)
%{prefix}/bin/mozilla
%{mozdir}/mozilla-rebuild-databases.pl
/etc/gre.d/%{gre_conf_file}
%{prefix}/share/pixmaps/mozilla-icon.png
%{prefix}/share/pixmaps/mozilla-mail-icon.png

%verify (not md5 mtime size) %{mozdir}/components/compreg.dat
%verify (not md5 mtime size) %{mozdir}/components/xpti.dat

%{_mandir}/man1/mozilla.1.gz

%dir %{_libdir}/mozilla/plugins

%dir %{mozdir}
%dir %{mozdir}/init.d
%dir %{mozdir}/greprefs
%dir %{mozdir}/defaults/pref
%dir %{mozdir}/defaults/profile
%dir %{mozdir}/defaults/profile/US
%dir %{mozdir}/defaults/wallet
%dir %{mozdir}/defaults/autoconfig
%dir %{mozdir}/defaults/messenger/US
%dir %{mozdir}/defaults/messenger
%dir %{mozdir}/defaults

%dir %{mozdir}/chrome/icons/default
%dir %{mozdir}/chrome/icons
%dir %{mozdir}/chrome/lang
%dir %{mozdir}/chrome

%dir %{mozdir}/res/rdf
%dir %{mozdir}/res/dtd
%dir %{mozdir}/res/fonts
%dir %{mozdir}/res

%dir %{mozdir}/components/myspell
%dir %{mozdir}/components
%dir %{mozdir}/icons
%dir %{mozdir}/searchplugins

%dir %{mozdir}/plugins
%dir %{mozdir}/res/html
%dir %{mozdir}/res/samples
%dir %{mozdir}/res/entityTables

%verify (not md5 mtime size) %{mozdir}/chrome/installed-chrome.txt
%{mozdir}/chrome/lang/installed-chrome.txt
%{mozdir}/chrome/lang/default.txt

%if %{xoslinux}
%{mozdir}/greprefs/all-xos.js
%{mozdir}/defaults/pref/all-xos.js
%else
%{mozdir}/greprefs/all-redhat.js
%{mozdir}/defaults/pref/all-redhat.js
%endif

%ghost %{mozdir}/chrome/chrome.rdf
%ghost %{mozdir}/chrome/overlayinfo/browser/skin/stylesheets.rdf
%ghost %{mozdir}/chrome/overlayinfo/global/skin/stylesheets.rdf

%ghost %{mozdir}/chrome/overlayinfo/browser/content/overlays.rdf
%ghost %{mozdir}/chrome/overlayinfo/communicator/content/overlays.rdf
%ghost %{mozdir}/chrome/overlayinfo/global/content/overlays.rdf
%ghost %{mozdir}/chrome/overlayinfo/editor/content/overlays.rdf
%ghost %{mozdir}/chrome/overlayinfo/navigator/content/overlays.rdf
%ghost %{mozdir}/chrome/overlayinfo/cookie/content/overlays.rdf

%dir %{mozdir}/chrome/overlayinfo/browser/content
%dir %{mozdir}/chrome/overlayinfo/browser/skin
%dir %{mozdir}/chrome/overlayinfo/browser
%dir %{mozdir}/chrome/overlayinfo/global/content
%dir %{mozdir}/chrome/overlayinfo/global/skin
%dir %{mozdir}/chrome/overlayinfo/global
%dir %{mozdir}/chrome/overlayinfo/communicator/content
%dir %{mozdir}/chrome/overlayinfo/communicator
%dir %{mozdir}/chrome/overlayinfo/editor/content
%dir %{mozdir}/chrome/overlayinfo/editor
%dir %{mozdir}/chrome/overlayinfo/navigator/content
%dir %{mozdir}/chrome/overlayinfo/navigator
%dir %{mozdir}/chrome/overlayinfo/cookie/content
%dir %{mozdir}/chrome/overlayinfo/cookie

%dir %{mozdir}/chrome/overlayinfo

%if %{desktop_file}
%{_datadir}/applications/mozilla.desktop
%else
/etc/X11/applnk/Internet/mozilla.desktop
%endif

%files nspr -f mozilla-nspr.list
%defattr(-,root,root)

%files nspr-devel -f mozilla-nspr-devel.list
%defattr(-,root,root)
%{_libdir}/pkgconfig/mozilla-nspr.pc
%{prefix}/bin/mozilla-config

%files nss -f mozilla-nss.list
%defattr(-,root,root)

%files nss-devel -f mozilla-nss-devel.list
%defattr(-,root,root)
%{_libdir}/pkgconfig/mozilla-nss.pc

%files mail -f mozilla-mail.list
%defattr(-,root,root)
%dir %{mozdir}/chrome/icons/default
%dir %{mozdir}/chrome/icons
%dir %{mozdir}/chrome
%dir %{mozdir}/components
%dir %{mozdir}
%if %{desktop_file}
%{_datadir}/applications/mozilla-mail.desktop
%else
/etc/X11/applnk/Internet/mozilla-mail.desktop
/etc/X11/applnk/Internet/mozilla-compose.desktop
%endif

%dir %{mozdir}/chrome/overlayinfo/messenger/content
%dir %{mozdir}/chrome/overlayinfo/messenger

%ghost %{mozdir}/chrome/overlayinfo/messenger/content/overlays.rdf

%files chat -f mozilla-chat.list
%defattr(-,root,root)

%files js-debugger -f mozilla-js-debugger.list
%defattr(-,root,root)

%files dom-inspector -f mozilla-dom-inspector.list
%defattr(-,root,root)
%ghost %{mozdir}/chrome/overlayinfo/inspector/content/overlays.rdf
%dir %{mozdir}/chrome/overlayinfo/inspector/content
%dir %{mozdir}/chrome/overlayinfo/inspector
%dir %{mozdir}/res/inspector

%files devel -f mozilla-devel.list
%defattr(-,root,root)
%{prefix}/share/idl/mozilla-%{version}/*
%{_libdir}/pkgconfig/mozilla-js.pc
%{_libdir}/pkgconfig/mozilla-plugin.pc
%{_libdir}/pkgconfig/mozilla-xpcom.pc
%{_libdir}/pkgconfig/mozilla-gtkmozembed.pc
%{mozdir}/xpcshell
%{mozdir}/xpidl
%{mozdir}/xpt_dump
%{mozdir}/xpt_link

%changelog
* Fri Feb 03 2006 X/OS Linux Team <xoslinux@xos.nl> 37:1.7.12-1.1.3.4.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on mozilla-1.7.12-1.1.3.4.src.rpm
  (md5sum of original source rpm: 8d42f63144e878e750c96eb8fcb59935).
- Use different bookmarks and vendor information for X/OS Linux.

* Mon Jan 30 2006 Christopher Aillon <caillon@redhat.com> 37:1.7.12-1.1.3.4
- Fix CVE-2005-4134, CVE-2006-0292, CVE-2006-0296

* Wed Nov 30 2005 Christopher Aillon <caillon@redhat.com> 37:1.7.12-1.1.3.3
- Fix adding DOM nodes as an xsl:param using XSLTProcessor.setParameter()

* Wed Sep 21 2005 Christopher Aillon <caillon@redhat.com> 37:1.7.12-1.1.3.1
- Update to 1.7.12, containing fixes for:
  CAN-2005-2701 CAN-2005-2702 CAN-2005-2703 CAN-2005-2704
  CAN-2005-2705 CAN-2005-2706 CAN-2005-2707 CAN-2005-2968

* Fri Sep  9 2005 Christopher Aillon <caillon@redhat.com> 37:1.7.10-1.1.3.2
- Fix for CAN-2005-2871

* Tue Jul 19 2005 Christopher Aillon <caillon@redhat.com> 37:1.7.10-1.1.3.1
- Update to 1.7.10

* Fri May 27 2005 Christopher Blizzard <blizzard@redhat.com> 37:1.7.8-1.1.3.2
- Make sure that directories are all owned by the package (#73893)

* Wed May 11 2005 Christopher Aillon <caillon@redhat.com> 37:1.7.8-1.1.3.1
- Update to 1.7.8

* Wed Apr 27 2005 Christopher Aillon <caillon@redhat.com> 37:1.7.7-1.1.3.4
- Fix issues with segfaulting on s390x

* Tue Apr 19 2005 Christopher Aillon <caillon@redhat.com> 37:1.7.7-1.1.3.3
- Fix multilib issues in the mozilla start script.

* Tue Apr 19 2005 Christopher Aillon <caillon@redhat.com> 37:1.7.7-1.1.3.2
- Fix some multilib issues in the manpage.

* Fri Apr 16 2005 Christopher Aillon <caillon@redhat.com> 37:1.7.7-1.1.3.1
- Update to upstream security release 1.7.7

* Wed Mar 30 2005 Christopher Aillon <caillon@redhat.com> 37:1.7.6-1.1.3.1
- Update to 1.7.6, import from RHEL4

* Fri Mar 18 2005 Christopher Aillon <caillon@redhat.com> 37:1.4.4-1.3.5
- Rebuild to fix lock icon not working
 
* Tue Mar 16 2005 Christopher Aillon <caillon@redhat.com> 37:1.4.4-1.3.4
- Fix for execshield issues
 
* Tue Mar 15 2005 Christopher Aillon <caillon@redhat.com> 37:1.4.4-1.3.3
- Fix conf file in /etc/gre.d/ to contain all the right info.
 
* Tue Mar 15 2005 Christopher Aillon <caillon@redhat.com> 37:1.4.4-1.3.2
- Update to security release 1.4.4
- Fix for fireflash issue (CAN-2005-0232)
- Fix for GIF overflow issue

* Tue Jan 04 2005 Christopher Aillon <caillon@redhat.com> 37:1.4.3-3.0.7
- Add RPM version information to the useragent string
- Fix for NNTP overflow (#143994)

* Thu Nov 04 2004 Christopher Aillon <caillon@redhat.com> 37:1.4.3-3.0.6
- Fix manpage

* Thu Oct 28 2004 Christopher Aillon <caillon@redhat.com> 37:1.4.3-3.0.5
- Fix multilib issues

* Mon Sep 20 2004 Christopher Aillon <caillon@redhat.com> 37:1.4.3-3.0.3
- Backport security fixes from http://mozilla.org/projects/security/known-vulnerabilities.html

* Fri Jul 30 2004 Christopher Aillon <caillon@redhat.com> 37:1.4.3-3.0.1.SNAP
- Add libpng fix

* Fri Jul 30 2004 Christopher Aillon <caillon@redhat.com> 37:1.4.3-3.0.0.SNAP
- Update to latest 1.4 branch for security fixes.

* Fri Feb 27 2004 Chris Blizzard <blizzard@redhat.com> 37:1.4.2-3.0.1
- Update to 1.4.2 final.

* Tue Feb 24 2004 Chris Blizzard <blizzard@redhat.com> 37:1.4.2-3.0.0.SNAP
- Update to a 1.4.2 SNAPSHOT
- Time for a new changelog.

